Package com.ocient.util

# Class NullRowTransformer

java.lang.Object
com.ocient.util.NullRowTransformer

All Implemented Interfaces:
  `RowTransformer`

public class NullRowTransformer extends Object implements RowTransformer
Null transformer, column values are returned as-is.

## Constructor Summary

Constructors
Constructor
Description
`NullRowTransformer()`

## Method Summary

Modifier and Type
Method
Description
`Row`
`transform(Row row)`
Apply the transformation to the `Row`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullRowTransformer

public NullRowTransformer()

## Method Details

### transform

public Row transform(Row row)
Description copied from interface: `RowTransformer`
Apply the transformation to the `Row`.

Specified by:
  `transform` in interface `RowTransformer`
Parameters:
  `row` - The `Row` to be transformed.
Returns:
  Returns a transformed Row object. The exact nature of the transformation and the resultant format depends on the specific implementation. The transformation should maintain data integrity while optimizing its representation for memory efficiency and performance.

  Note: THIS FUNCTION IS NOT INTENDED TO BE THREAD SAFE.